diff --git a/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java b/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
index a48b8146c70eb1cebbc4ecd9975853c18c75f40c..041818d0ae1d9ba8a572655b7243e61fcb477653 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
@@ -1014,7 +1014,7 @@ public abstract class CMSServlet extends HttpServlet {
         Enumeration<String> names = httpParams.elements();
 
         while (names.hasMoreElements()) {
-            String name = (String) names.nextElement();
+            String name = names.nextElement();
             Enumeration<String> params = mDontSaveHttpParams.elements();
             boolean dosave = true;
 
@@ -1049,7 +1049,7 @@ public abstract class CMSServlet extends HttpServlet {
             return null;
         }
         ICertificateRepository certdb =
-                (ICertificateRepository) ((ICertificateAuthority) mAuthority).getCertificateRepository();
+                ((ICertificateAuthority) mAuthority).getCertificateRepository();
 
         if (certdb == null) {
             log(ILogger.LL_WARN, CMS.getLogMessage("CMSGW_CERT_DB_NULL", mAuthority.toString()));
@@ -1104,7 +1104,7 @@ public abstract class CMSServlet extends HttpServlet {
             return null;
         }
         ICertificateRepository certdb =
-                (ICertificateRepository) ((ICertificateAuthority) mAuthority).getCertificateRepository();
+                ((ICertificateAuthority) mAuthority).getCertificateRepository();
 
         if (certdb == null) {
             log(ILogger.LL_WARN, CMS.getLogMessage("CMSGW_CERT_DB_NULL", mAuthority.toString()));
@@ -1443,7 +1443,7 @@ public abstract class CMSServlet extends HttpServlet {
         if (token != null && req != null) {
             Enumeration<String> e = token.getElements();
             while (e.hasMoreElements()) {
-                String n = (String) e.nextElement();
+                String n = e.nextElement();
                 String[] x1 = token.getInStringArray(n);
                 if (x1 != null) {
                     for (int i = 0; i < x1.length; i++) {
@@ -2141,7 +2141,7 @@ public abstract class CMSServlet extends HttpServlet {
      * with the "auditSubjectID()".
      * <P>
      * 
-     * @param id string containing the signed audit log message SubjectID
+     * @param SubjectID string containing the signed audit log message SubjectID
      * @return a delimited string of groups associated
      *         with the "auditSubjectID()"
      */
@@ -2167,7 +2167,7 @@ public abstract class CMSServlet extends HttpServlet {
         StringBuffer membersString = new StringBuffer();
 
         while (groups.hasMoreElements()) {
-            IGroup group = (IGroup) groups.nextElement();
+            IGroup group = groups.nextElement();
 
             if (group.isMember(SubjectID) == true) {
                 if (membersString.length() != 0) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/base/SystemInfoServlet.java b/pki/base/common/src/com/netscape/cms/servlet/base/SystemInfoServlet.java
index 58ad4eabc617c726fa2d876aab4b23cd024119d6..f883fd373767921109cdae5e52e2e04ba04c6034 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/base/SystemInfoServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/base/SystemInfoServlet.java
@@ -68,7 +68,6 @@ public class SystemInfoServlet extends HttpServlet {
     public void service(HttpServletRequest request,
             HttpServletResponse response)
             throws ServletException, IOException {
-        boolean collect = false;
         String op = request.getParameter("op");
 
         response.setContentType("text/html");
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
index 5fd3cd90292435e419f7e95ac4dbf01cc45d29b1..95f5ae7b886d86635cf88bc1be90a385d55db170 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
@@ -159,7 +159,6 @@ public class CMCRevReqServlet extends CMSServlet {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_ERROR_DISPLAY_TEMPLATE"));
             throw new ECMSGWException(CMS.getLogMessage("CMSGW_ERROR_DISPLAY_TEMPLATE"));
         }
-        EBaseException error = null;
 
         IArgBlock header = CMS.createArgBlock();
         IArgBlock ctx = CMS.createArgBlock();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java b/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
index a2b501f143048a5021e177dee6ab64be261797e3..e0978dd218ed981c7257a0839392b6bd902067de 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
@@ -148,8 +148,6 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
             throw new ECMSGWException(CMS.getLogMessage("CMSGW_ERROR_DISPLAY_TEMPLATE"));
         }
 
-        EBaseException error = null;
-
         IArgBlock header = CMS.createArgBlock();
         IArgBlock ctx = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, ctx);
@@ -167,7 +165,6 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
         int reasonCode =
                 httpParams.getValueAsInt(REASON_CODE, 0);
         //        header.addIntegerValue("reason", reasonCode);
-        RevocationReason reason = RevocationReason.fromInt(reasonCode);
 
         String comments = req.getParameter(IRequest.REQUESTOR_COMMENTS);
         Date invalidityDate = null;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java b/pki/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java
index 9feddbec88872edba5a94abe738fda588034a811..d17fd959bada98bfd8cb220af8ee55ba904e3dce 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java
@@ -104,8 +104,6 @@ public class CloneRedirect extends CMSServlet {
         HttpServletRequest req = cmsReq.getHttpReq();
         HttpServletResponse resp = cmsReq.getHttpResp();
 
-        EBaseException error = null;
-
         IArgBlock header = CMS.createArgBlock();
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/DirAuthServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/DirAuthServlet.java
index 03c909cc5c8f376c15051554617372bd5da16034..ced92ba85b5279555c2fbdd64a2a73b902956825 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/DirAuthServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/DirAuthServlet.java
@@ -198,7 +198,6 @@ public class DirAuthServlet extends CMSServlet {
 
     private void printError(CMSRequest cmsReq, String errorCode)
             throws EBaseException {
-        IArgBlock httpParams = cmsReq.getHttpParams();
         HttpServletRequest httpReq = cmsReq.getHttpReq();
         HttpServletResponse httpResp = cmsReq.getHttpResp();
         IArgBlock header = CMS.createArgBlock();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java b/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
index c34cd2227bd62e5e45297e17105e1f61bc4b09d2..f5422c2fc6694555eb80ce3b7c9b95d086ae02be 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
@@ -142,7 +142,6 @@ public class DisplayCRL extends CMSServlet {
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
 
         // Note error is covered in the same template as success.
-        EBaseException error = null;
 
         String crlIssuingPointId = req.getParameter("crlIssuingPoint");
 
@@ -175,8 +174,6 @@ public class DisplayCRL extends CMSServlet {
                          HttpServletResponse resp,
                          String crlIssuingPointId,
                          Locale locale) {
-        boolean updateStatus = true;
-        EBaseException error = null;
         ICRLIssuingPoint crlIP = null;
         X509CRLImpl crl = null;
         boolean clonedCA = false;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayHashUserEnroll.java b/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayHashUserEnroll.java
index bf582a82e62f258933d4547df5b659ee48f7221c..99082d4c5522f8636aaf4d88c45aa3e9ef693778 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayHashUserEnroll.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayHashUserEnroll.java
@@ -184,7 +184,6 @@ public class DisplayHashUserEnroll extends CMSServlet {
 
     private void printError(CMSRequest cmsReq, String errorCode)
             throws EBaseException {
-        IArgBlock httpParams = cmsReq.getHttpParams();
         HttpServletRequest httpReq = cmsReq.getHttpReq();
         HttpServletResponse httpResp = cmsReq.getHttpResp();
         IArgBlock header = CMS.createArgBlock();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java b/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
index 00cca204a98275a87f6c291923d2a5b22f1ae7f9..853fa1e45b95d0a7bc8d74f4bf93682cbaad049d 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/DoRevokeTPS.java
@@ -165,12 +165,12 @@ public class DoRevokeTPS extends CMSServlet {
         int reason = -1;
         boolean authorized = true;
         Date invalidityDate = null;
-        CMSTemplate form = null;
         Locale[] locale = new Locale[1];
 
         CMS.debug("DoRevokeTPS before getTemplate");
         try {
-            form = getTemplate(mFormPath, req, locale);
+            @SuppressWarnings("unused")
+            CMSTemplate form = getTemplate(mFormPath, req, locale); // check for errors
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_ERR_GET_TEMPLATE", mFormPath, e.toString()));
             throw new ECMSGWException(CMS.getLogMessage("CMSGW_ERROR_DISPLAY_TEMPLATE"));
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
index c48cd86353b94fe904920fc917ab5e2d9cff77b0..b32ce5e1192e6f02cf56e5424572cbb4af227a57 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
@@ -932,7 +932,6 @@ public class EnrollServlet extends CMSServlet {
 
             X509CertInfo[] certInfoArray = new X509CertInfo[] { certInfo };
 
-            X509CertInfo authCertInfo = null;
             String authMgr = AuditFormat.NOAUTH;
 
             // if authentication
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java b/pki/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java
index fca81ff4a39be4dae983c3259e422e9708bdcf01..b9a2221f219da412187ecc6d3aee4353414aac22 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java
@@ -215,7 +215,6 @@ public class GetBySerial extends CMSServlet {
 
         X509CertImpl cert = certRecord.getCertificate();
 
-        String browser1 = req.getParameter("browser");
         if (cert != null) {
             // if there's a crmf request id, set that too.
             if (browser != null && browser.equals("ie")) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
index 1ff056ab781dc692cb320131ff07b549fe8518ca..4af8a6a6815884ee0024736c4be7100bf5df37e6 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
@@ -173,7 +173,6 @@ public class HashEnrollServlet extends CMSServlet {
             throws EBaseException {
         IArgBlock httpParams = cmsReq.getHttpParams();
         HttpServletRequest httpReq = cmsReq.getHttpReq();
-        HttpServletResponse httpResp = cmsReq.getHttpResp();
         String certType = null;
 
         String reqHost = httpReq.getRemoteHost();
@@ -231,7 +230,6 @@ public class HashEnrollServlet extends CMSServlet {
 
     private void printError(CMSRequest cmsReq, String errorCode)
             throws EBaseException {
-        IArgBlock httpParams = cmsReq.getHttpParams();
         HttpServletRequest httpReq = cmsReq.getHttpReq();
         HttpServletResponse httpResp = cmsReq.getHttpResp();
         IArgBlock header = CMS.createArgBlock();
@@ -294,7 +292,6 @@ public class HashEnrollServlet extends CMSServlet {
 
         String certAuthEnrollOn =
                 httpParams.getValueAsString("certauthEnroll", null);
-        X509CertInfo new_certInfo = null;
 
         if ((certAuthEnrollOn != null) && (certAuthEnrollOn.equals("on"))) {
             certAuthEnroll = true;
@@ -394,7 +391,6 @@ public class HashEnrollServlet extends CMSServlet {
 
         IAuthToken authToken = mgr.getAuthToken(pageID);
 
-        X509CertInfo authCertInfo = null;
         String authMgr = AuditFormat.NOAUTH;
 
         if (authToken == null) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/RenewalServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/RenewalServlet.java
index fd245421037626eee7960cfdd5ac8a49b3571312..2231215776a85ecf3a34edae35be890d4777cd19 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/RenewalServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/RenewalServlet.java
@@ -418,9 +418,6 @@ public class RenewalServlet extends CMSServlet {
         // there's no other way to tell
 
         IArgBlock httpParams = cmsReq.getHttpParams();
-        HttpServletRequest httpReq = cmsReq.getHttpReq();
-        String certType = httpParams.getValueAsString(CERT_TYPE, "client");
-        String agent = httpReq.getHeader("user-agent");
 
         if (checkImportCertToNav(cmsReq.getHttpResp(),
                 httpParams, renewed_cert)) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java b/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java
index 0491ccef5eed37a8a8940437df225b215801f173..707e7ff5f7f29045c44134585e688b2a92562f74 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java
@@ -377,7 +377,6 @@ public class UpdateDir extends CMSServlet {
             } else {
                 ICRLIssuingPoint crlIssuingPoint =
                         mCA.getCRLIssuingPoint(crlIssuingPointId);
-                ICRLIssuingPointRecord crlRecord = null;
 
                 updateCRLIssuingPoint(header, crlIssuingPointId,
                         crlIssuingPoint, locale);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
index 23793b3f92b2b1706df8fafc8bbe0b6f9cc3d8d6..99febb4cfeb0315a8ff17c34ce915285ddbbe318 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
@@ -41,7 +41,6 @@ import netscape.ldap.LDAPEntry;
 import netscape.security.pkcs.PKCS10;
 import netscape.security.pkcs.PKCS10Attribute;
 import netscape.security.pkcs.PKCS10Attributes;
-import netscape.security.util.DerOutputStream;
 import netscape.security.util.ObjectIdentifier;
 import netscape.security.x509.AVA;
 import netscape.security.x509.CertAttrSet;
@@ -674,9 +673,6 @@ public class CRSEnrollment extends HttpServlet {
             responseData = responseData +
                     "<RemoteHost>" + httpReq.getRemoteHost() + "</RemoteHost>";
 
-            // Deal with Nonces
-            byte[] sn = req.getSenderNonce();
-
             // Deal with message type
             String mt = req.getMessageType();
             responseData = responseData +
@@ -715,7 +711,6 @@ public class CRSEnrollment extends HttpServlet {
 
                         if (ext.getExtensionId().equals(
                                 OIDMap.getOID(SubjectAlternativeNameExtension.IDENT))) {
-                            DerOutputStream dos = new DerOutputStream();
                             SubjectAlternativeNameExtension sane = new SubjectAlternativeNameExtension(
                                     Boolean.valueOf(false), // noncritical
                                     ext.getExtensionValue());
@@ -985,7 +980,6 @@ public class CRSEnrollment extends HttpServlet {
             return null;
         }
 
-        int count = 0;
         while (rids.hasMoreElements()) {
             RequestId rid = rids.nextElement();
             if (rid == null) {
@@ -1048,8 +1042,11 @@ public class CRSEnrollment extends HttpServlet {
 
         // Get Signed Data
 
-        byte[] reqAAbytes = req.getAA();
-        byte[] reqAAsig = req.getAADigest();
+        @SuppressWarnings("unused")
+        byte[] reqAAbytes = req.getAA(); // check for errors
+
+        @SuppressWarnings("unused")
+        byte[] reqAAsig = req.getAADigest(); // check for errors
 
     }
 
@@ -1155,10 +1152,7 @@ public class CRSEnrollment extends HttpServlet {
     private void getDetailFromRequest(CRSPKIMessage req, CRSPKIMessage crsResp)
             throws CRSFailureException {
 
-        IRequest issueReq = null;
-        X509CertImpl issuedCert = null;
         SubjectAlternativeNameExtension sane = null;
-        CertAttrSet requested_ext = null;
 
         try {
             PKCS10 p10 = req.getP10();
@@ -1171,7 +1165,6 @@ public class CRSEnrollment extends HttpServlet {
 
             AuthCredentials authCreds = new AuthCredentials();
 
-            String challengePassword = null;
             // Here, we make a new CertInfo - it's a new start for a certificate
 
             X509CertInfo certInfo = CMS.getDefaultX509CertInfo();
@@ -1265,7 +1258,6 @@ public class CRSEnrollment extends HttpServlet {
 
                         if (ext.getExtensionId().equals(
                                 OIDMap.getOID(SubjectAlternativeNameExtension.IDENT))) {
-                            DerOutputStream dos = new DerOutputStream();
                             sane = new SubjectAlternativeNameExtension(
                                     new Boolean(false), // noncritical
                                     ext.getExtensionValue());
@@ -1309,7 +1301,8 @@ public class CRSEnrollment extends HttpServlet {
             try {
                 if (mAppendDN != null && !mAppendDN.equals("")) {
 
-                    X500Name newSubject = new X500Name(subject.toString());
+                    new X500Name(subject.toString()); // check for errors
+
                     subject = new X500Name(subject.toString().concat("," + mAppendDN));
                 }
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/ExtensionsRequested.java b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/ExtensionsRequested.java
index b3a0f56516c14ffbd97cf84a95aa8913643945d8..85f3938b8b7fb59398e17862ed8a4d0c39a85ecf 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/ExtensionsRequested.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/ExtensionsRequested.java
@@ -127,16 +127,15 @@ public class ExtensionsRequested implements CertAttrSet {
     private void construct(DerValue dv) throws IOException {
 
         DerInputStream stream = null;
-        DerValue[] dvs;
 
         try { // try decoding as sequence first
 
             stream = dv.toDerInputStream();
 
-            DerValue stream_dv = stream.getDerValue();
+            stream.getDerValue(); // consume stream
             stream.reset();
 
-            dvs = stream.getSequence(2);
+            stream.getSequence(2); // consume stream
         } catch (IOException ioe) {
             // if it failed, the outer sequence may be
             // encapsulated in an octet string, as in the first
@@ -150,7 +149,7 @@ public class ExtensionsRequested implements CertAttrSet {
             dv = new DerValue(octet_string);
 
             stream = dv.toDerInputStream();
-            dvs = stream.getSequence(2);
+            stream.getSequence(2); // consume stream
         }
 
         // now, the stream will be in the correct format
diff --git a/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java b/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java
index aa95b622d9114bb42fa6b17648c55132d6f3ec9e..2edfc4f089cd0eaa416d157aec38d36447d572f8 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java
@@ -548,7 +548,6 @@ public class CMCOutputTemplate {
                         CMS.debug("CMCOutputTemplate: Issuer names are equal");
                         ICertificateRepository repository =
                                 (ICertificateRepository) ca.getCertificateRepository();
-                        X509CertImpl impl = null;
                         try {
                             repository.getX509Certificate(serialno);
                         } catch (EBaseException ee) {
@@ -839,7 +838,6 @@ public class CMCOutputTemplate {
                         return bpid;
                     }
 
-                    byte[] bv = null;
                     String sharedSecret = null;
                     if (tokenClass != null) {
                         sharedSecret = tokenClass.getSharedToken(revokeSerial);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/connector/GenerateKeyPairServlet.java b/pki/base/common/src/com/netscape/cms/servlet/connector/GenerateKeyPairServlet.java
index 171aeb64c843b94a01027d6f4ff1f3fa74153d69..0a4ea589e3164008e6bc83430d3e36faf2329db3 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/connector/GenerateKeyPairServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/connector/GenerateKeyPairServlet.java
@@ -33,7 +33,6 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IPrettyPrintFormat;
-import com.netscape.certsrv.common.Constants;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.IRequestQueue;
@@ -290,9 +289,6 @@ public class GenerateKeyPairServlet extends CMSServlet {
      */
     public void service(HttpServletRequest req, HttpServletResponse resp)
             throws ServletException, IOException {
-        String scope = req.getParameter(Constants.OP_SCOPE);
-        String op = req.getParameter(Constants.OP_TYPE);
-
         super.service(req, resp);
 
     }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java
index 8c84f4a218c4e543cd9ba5a144975f8965da11dd..7912486f5afd29e3e821523325c0d52dafb3d309 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminAuthenticatePanel.java
@@ -87,7 +87,8 @@ public class AdminAuthenticatePanel extends WizardPanelBase {
         IConfigStore cs = CMS.getConfigStore();
         /* clean up if necessary */
         try {
-            boolean done = cs.getBoolean("preop.AdminAuthenticate.done");
+            @SuppressWarnings("unused")
+            boolean done = cs.getBoolean("preop.AdminAuthenticate.done"); // check for errors
             cs.putBoolean("preop.AdminAuthenticate.done", false);
             cs.commit(false);
         } catch (Exception e) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminPanel.java
index 223801d8f7a75095a037717ee2d6a7a1e46e409a..4e73b8369f0a94fc7e3a39bac8288cfca4836af5 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/AdminPanel.java
@@ -353,12 +353,9 @@ public class AdminPanel extends WizardPanelBase {
     private void createAdmin(HttpServletRequest request) throws IOException {
         IUGSubsystem system = (IUGSubsystem) (CMS.getSubsystem(IUGSubsystem.ID));
         IConfigStore config = CMS.getConfigStore();
-        String adminName = null;
         String groupName = null;
 
         try {
-            adminName = config.getString(PRE_CONF_ADMIN_NAME,
-                    "Certificate System Administrator");
             groupName = config.getString(PRE_CONF_AGENT_GROUP,
                     "Certificate Manager Agents");
         } catch (Exception e) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/BackupKeyCertPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/BackupKeyCertPanel.java
index c1529f25627daed3477b0dc4409d3aef3a4ef6e9..d216a9212d0ef7ce4de739135570d6a917243bfe 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/BackupKeyCertPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/BackupKeyCertPanel.java
@@ -93,7 +93,8 @@ public class BackupKeyCertPanel extends WizardPanelBase {
         IConfigStore cs = CMS.getConfigStore();
         /* clean up if necessary */
         try {
-            boolean done = cs.getBoolean("preop.backupkeycert.done");
+            @SuppressWarnings("unused")
+            boolean done = cs.getBoolean("preop.backupkeycert.done"); // check for errors
             cs.putBoolean("preop.backupkeycert.done", false);
             cs.commit(false);
         } catch (Exception e) {
@@ -307,7 +308,7 @@ public class BackupKeyCertPanel extends WizardPanelBase {
             //String nickname = cacerts[i].getSubjectDN().toString();
             String nickname = null;
             try {
-                byte[] localKeyId = addCertBag(cacerts[i], nickname, safeContents);
+                addCertBag(cacerts[i], nickname, safeContents);
             } catch (IOException e) {
                 throw e;
             } catch (Exception e) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CAInfoPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CAInfoPanel.java
index ccaa78e0bbf60ed63704a23f290d257f64f51786..5da169915d071741bfb83de54218c0e8b2efbac7 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CAInfoPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CAInfoPanel.java
@@ -190,7 +190,6 @@ public class CAInfoPanel extends WizardPanelBase {
     public void validate(HttpServletRequest request,
             HttpServletResponse response,
             Context context) throws IOException {
-        IConfigStore config = CMS.getConfigStore();
     }
 
     /**
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
index 43c707fbea76c6407f6727d542efc519b63fe952..04ab4dac813b832ab0fa8293ed19b776a2e8e1ef 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
@@ -122,7 +122,8 @@ public class CertRequestPanel extends WizardPanelBase {
             if (cert == null)
                 return false;
             try {
-                boolean done = cs.getBoolean("preop.CertRequestPanel.done");
+                @SuppressWarnings("unused")
+                boolean done = cs.getBoolean("preop.CertRequestPanel.done"); // check for errors
                 return true;
             } catch (Exception ee) {
                 if (hardware) {
@@ -219,7 +220,8 @@ public class CertRequestPanel extends WizardPanelBase {
         }
 
         try {
-            boolean done = cs.getBoolean("preop.CertRequestPanel.done");
+            @SuppressWarnings("unused")
+            boolean done = cs.getBoolean("preop.CertRequestPanel.done"); // check for errors
             cs.putBoolean("preop.CertRequestPanel.done", false);
             cs.commit(false);
         } catch (Exception e) {
@@ -487,12 +489,6 @@ public class CertRequestPanel extends WizardPanelBase {
         boolean hasErr = false;
         IConfigStore config = CMS.getConfigStore();
 
-        String catype = "";
-        try {
-            catype = config.getString("preop.ca.type", "");
-        } catch (Exception e) {
-        }
-
         if (isPanelDone()) {
             context.put("updateStatus", "success");
             return;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertUtil.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertUtil.java
index 2934b3ebe3cf3d1961f81bc1f894e6d1b54325c9..e956edebeb2137abb09935dd4c325be44b58c8f9 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertUtil.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/CertUtil.java
@@ -256,7 +256,7 @@ public class CertUtil {
                     req.setExtData("cert_request_type", reqType);
                     if (subjectName != null) {
                         req.setExtData("subject", subjectName);
-                        X500Name x5Name = new X500Name(subjectName);
+                        new X500Name(subjectName); // check for errors
                     }
                 }
                 queue.updateRequest(req);
@@ -596,7 +596,6 @@ public class CertUtil {
 
         StringBuffer result = new StringBuffer();
         result.append("Fingerprints:\n");
-        int index = 0;
 
         while (content.length() >= LINE_COUNT) {
             result.append(content.substring(0, LINE_COUNT));
@@ -623,9 +622,7 @@ public class CertUtil {
 
         String fullnickname = nickname;
 
-        boolean hardware = false;
         if (!tokenname.equals("internal") && !tokenname.equals("Internal Key Storage Token")) {
-            hardware = true;
             fullnickname = tokenname + ":" + nickname;
         }
 
